Get Many Inventory with Aggregate Quantities (NY)
Displays inventory quantities across Nabis warehouses instead of within specific warehouses. Please reach out to partnerships@nabis.com for information on API access.
Query Parameters
- page number required
- limit number required
Possible values:
>= 1and<= 500
- 200
- 400
- 401
- 429
Successful Operation
- application/json
- Schema
Schema
- skuCode string
Brand-input code for inventory item, typically used for internal brand system mapping
- skuName string
Listed name of inventory item on order documentation, remains consistent across batches
- batchCode string
Brand-input code for inventory item batch
- skuUnit string
Description of the item's unit characteristics (i.e., 6-pack)
- skuPricePerUnit number
The unit price of each unit in the case.
- batchExpirationDate date
Date upon which a product's COA has lapsed; re-testing or destruction is required at this point
- skuBatchLastUpdatedDate date
Most recent date upon which sku batch details were adjusted
- batchManufacturingDate date
Date upon which batch was manufactured
- batchLicenseNumber string
Batch License Number
- skuInventoryType string
If the SKU is cannabis or non-cannabis
- skuInventoryClass string
General classification of an SKU's characteristics (i.e., edible)
- skuInventoryCategory string
Specific categorization of an SKU's characteristics (i.e., gummy, chocolate, etc.)
- batchCbdPercentage number
% CBD value of batch
- batchThcPercentage number
% THC value of batch
- batchThcWeight number
THC weight value (mg) of batch
- batchCbdWeight number
CBD weight value (mg) of batch
- skuStrainType string
Strain characteristics of inventory item
- skuBatchId uuid
Nabis UUID identifier for sku + batch
- skuCasePackSize number
The number of eaches in a case
- skuTotalPrice number
The total price of the SKU (
skuPricePerUnit * skuCasePackSize) - skuId uuid
Nabis UUID identifier for the product
- availableOnMarketplace boolean
Indicates whether the item is available for purchase on the Nabis Marketplace
- deletedAt string
The deleted at timestamp indicating the product has been deleted from the Nabis system. If null, the product is active.
- isMedical boolean
Indicates if the item is marked as a medical product in the Nabis system.
- licenseNickname string
The nickname associated to the license that is associated to the SKU
inventory object[]
Inventory Counts aggregated over warehouses. Note that these inventory counts are not real-time and could have a delay in them between our core platform and this API. For more information, please visit the Inventory Quantities page for more detail.
outgoingQuantity numberCount for all open orders + orders in the fulfillment process
openOrderQuantity numberCount for all open orders
inFulfillmentProcessQuantity numberCount for all orders currently in the fulfillment process
incomingQuantity numberCount for all orders inbound to Nabis warehouses (i.e., open POs)
availableQuantity numberCount for inventory available to sell through the platform
quarantinedQuantity numberCount for inventory that is quarantined and not available to sell through the platform
updatedAt date-timeThe last updated made when a difference was detected in between our cached inventory data and our warehouse inventory system.
Invalid ISO8601 date provided for snapshot date. Format: YYYY-MM-DD. Example: 2022-04-20
Invalid API key
Too Many Requests